qtimageformats-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:09:17 +0300

qtimageformats-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update email address for Patrick Franz.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2022 22:01:29 +0300

qtimageformats-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:55 +0300

qtimageformats-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Nov 2020 20:33:32 +0300

qtimageformats-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:27 +0300

qtimageformats-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Remove align_icc_profile.diff as it is applied upstream.

 -- Patrick Franz <patfra71@gmail.com>  Sat, 12 Sep 2020 03:46:00 +0200

qtimageformats-opensource-src (5.14.2-2) unstable; urgency=medium

  * Backport upstream patch to avoid unaligned access in WEBP decoder.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:27:26 +0300

qtimageformats-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper-compatibility to 13:
    - Switch debhelper build dependency to debhelper-compat 13.
    - Remove debian/compat.
  * Remove unneeded injection of linker flags.
  * Add Rules-Requires-Root field.
  * Add myself to uploaders.

 -- Patrick Franz <patfra71@gmail.com>  Wed, 13 May 2020 19:50:09 +0200

qtimageformats-opensource-src (5.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.12.5.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:28:29 +0300

qtimageformats-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.12.4.
  * Mention ICNS and WEBP in the package description.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Jun 2019 22:47:53 +0300

qtimageformats-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.12.2.
  * Update debian/copyright.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 22:51:44 +0300

qtimageformats-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Note that the previous upload fixes CVE-2018-19871: QImage: QTgaFile CPU
    exhaustion.
  * Upload to unstable.

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:14:59 -0300

qtimageformats-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 16:02:26 -0300

qtimageformats-opensource-src (5.11.2-2) unstable; urgency=medium

  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 21:53:53 +0300

qtimageformats-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.2, no changes needed.
  * Bump Qt dependency to 5.11.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 21:23:35 -0500

qtimageformats-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:31 -0500

qtimageformats-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Fix insecure-copyright-format-uri.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Jun 2018 14:36:13 -0500

qtimageformats-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 16:58:19 -0300

qtimageformats-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Modify debian/watch to follow new upstream naming convention.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Switch to debhelper compat 11.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Mar 2018 10:57:49 -0300

qtimageformats-opensource-src (5.9.2-2) unstable; urgency=medium

  * Let dh_auto_configure pass cross tools to qmake (Closes: #881691).
    Thanks Helmut Grohne for the patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Dec 2017 13:24:12 -0300

qtimageformats-opensource-src (5.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.9.2.
  * Update to debhelper compat level 10.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 21:21:14 +0300

qtimageformats-opensource-src (5.9.1-1) unstable; urgency=medium

  * Release to unstable.
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 21:18:24 -0300

qtimageformats-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 03:04:55 -0500

qtimageformats-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 08:58:30 -0300

qtimageformats-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Oct 2016 11:18:39 -0300

qtimageformats-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.7.0.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 11 Jul 2016 23:54:19 +0300

qtimageformats-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:29:10 -0300

qtimageformats-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2016 20:49:45 -0300

qtimageformats-opensource-src (5.6.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop unused pkg-kde-tools build-dependency.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
    - Switch debian/watch back to the official releases.
  * Remove libjasper-dev from build-dependencies (Closes: #818209).
  * Switch to secure repos' URLs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Mar 2016 12:30:16 -0300

qtimageformats-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  [ Diane Trout ]
  * New upstream release
    - Bump qtbase build-dependency to 5.6.0~beta.

  [ Dmitry Shachnev ]
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Remove build-dependency on qtbase5-private-dev. The private qtbase headers
    are not used, so depending on qtbase5-dev is enough.
  * Run the tests without Xvfb, just set QT_QPA_PLATFORM=minimal.
  * Stop ignoring the tests failures (a bug in qtbase which prevented them from
    succeeding has been fixed in the last upload).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Jan 2016 21:46:05 +0300

qtimageformats-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:34:47 -0300

qtimageformats-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Oct 2015 23:53:51 -0300

qtimageformats-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump qtbase5-private-dev build-dependency to 5.5.0.
  * Run the tests, but ignore the tests results for now.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 14:30:24 +0300

qtimageformats-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 12:36:30 -0300

qtimageformats-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 18:22:45 -0300

qtimageformats-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Build-depend on qtbase 5.4.1.
  * Bump year in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 11:10:59 +0300

qtimageformats-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_libmng_test.patch, applied upstream.
  * Build-depend on qtbase 5.4.0.
  * Update debian/copyright.
  * Update Vcs-Browser field to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Dec 2014 21:28:11 +0300

qtimageformats-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 00:15:57 -0300

qtimageformats-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
    - Removes undistributable files (Closes: #760172).
  * Bump Qt build dependencies.
  * Create fix_libmng_test.patch in order to use the system libmng.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Sep 2014 15:53:34 -0300

qtimageformats-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Remove make_qwebphandler_write_work_on_big_endian_systems.patch,
    applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jun 2014 16:40:13 -0300

qtimageformats-opensource-src (5.3.0-4) unstable; urgency=medium

  * Disable tests until we finish the transition. Now we seem to have problem
    with libwebp on armel.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 09:04:02 -0300

qtimageformats-opensource-src (5.3.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Backport Dmitry Shachnev's
    make_qwebphandler_write_work_on_big_endian_systems.patch to properly handle
    big endian machines.
  * Build depend upon libwebp >= 0.4.0-4.1~ to solve endianness bug that
    caused a FTBFS in s390x.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 23:46:02 -0300

qtimageformats-opensource-src (5.3.0-2) experimental; urgency=medium

  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 May 2014 12:42:35 -0300

qtimageformats-opensource-src (5.3.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove dh_builddeb override, xz is now the default compression method.
  * Run tests during build (based on a patch by Chris Gagnon).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Build depend upon libjasper-dev and libwebp-dev to avoid using the
    embedded copies.
  * Add libjasper, libmng, libtiff and libwebp's licenses to debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 May 2014 20:09:12 -0300

qtimageformats-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 21:55:11 -0300

qtimageformats-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies to 5.2.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 14 Feb 2014 12:01:59 -0300

qtimageformats-opensource-src (5.2.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Do not install the development stuff of the plugins.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Feb 2014 18:21:26 -0300

qtimageformats-opensource-src (5.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix orthography in 5.1.1-1 changelog.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 15:50:45 -0300

qtimageformats-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump qtbase build-dependency to 5.2.0+dfsg.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Dec 2013 19:55:44 -0300

qtimageformats-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
    - Tighten Qt5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 16:28:52 -0300

qtimageformats-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 13:25:36 -0300

qtimageformats-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Qt build dependencies to 5.1.0~.
  * Use QT_SELECT instead of build depending on qt5-default.
  * Fix watch file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 22:00:10 -0300

qtimageformats-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 11 May 2013 16:14:53 -0300
